/*
    qZenAstroChoose : Software to easily choose fits pictures in astroPhotography
    Copyright (C) 2017 Olivier Poitevin

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact : code@zener.fr

*/

#ifndef DIALOGPREFERENCES_H
#define DIALOGPREFERENCES_H

#include <QDialog>

namespace Ui {
class DialogPreferences;
}

class DialogPreferences : public QDialog
{
    Q_OBJECT

public:
    explicit DialogPreferences(QWidget *parent = 0);
    ~DialogPreferences();

    bool getResult();

    void setMainDir(QString S);
    void setImageDir(QString S);
    void setFilter(QString S);
    void setLanguage(QString S);

    QString getMainDir();
    QString getImageDir();
    QString getFilter();
    QString getLanguage();


private slots:


    void on_pushButtonCancel_clicked();

    void on_pushButtonOK_clicked();

    void on_pushButtonMainDirChoose_clicked();

private:
    Ui::DialogPreferences *ui;
    bool result;

    QVector<QString> languagesList;

};

#endif // DIALOGPREFERENCES_H
