/*
    qZenAstroChoose : Software to easily choose fits pictures in astroPhotography
    Copyright (C) 2017 Olivier Poitevin

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact : code@zener.fr

*/

#include "mainwindow.h"
#include <QApplication>
#include <QTranslator>
#include <QSettings>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QString settingsFile="qZenAstroChooseSettings.ini";

    // load language from settings
    QSettings settings(settingsFile, QSettings::NativeFormat);
    QString language=settings.value("Language","en").toString();

    // apply language
    QTranslator translator;
    translator.load("qZenAstroChoose_"+language);
    a.installTranslator(&translator);


    MainWindow w;
    w.show();

    return a.exec();
}
