/*
    qZenAstroChoose : Software to easily choose fits pictures in astroPhotography
    Copyright (C) 2017 Olivier Poitevin

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact : code@zener.fr

*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#define KEEPFILENAME    "imgList.ini"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_actionOptions_triggered();

    void on_pushButtonUpdate_clicked();

    void on_pushButtonPrevious_clicked();

    void on_pushButtonNext_clicked();

    void on_pushButtonKeep_clicked();

signals:
    void renderedImage(const QImage &image);

private:
    Ui::MainWindow *ui;

    void showStatusMessage(const QString &msg);

    bool loadSettings();
    bool saveSettings();
    bool getFileList();

    bool loadKeepFile();
    bool saveKeepFile();

    bool loadImageFromFits();

    void updateKeepButton();

    QVector<QString> FileList;
    int curFileIndex;

    QString settingsFile;

    QString mainDir;
    QString imageDir;
    QString imageFilter;
    QString language;

    QImage lastImage;

    bool checkedAsGood;

    QVector<bool> vIsKeep;

};

#endif // MAINWINDOW_H
