/*
    qZenAstroChoose : Software to easily choose fits pictures in astroPhotography
    Copyright (C) 2017 Olivier Poitevin

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact : code@zener.fr

*/

#ifndef PICTUREWIDGET_H
#define PICTUREWIDGET_H

#include <QWidget>
#include <QPixmap>

namespace Ui {
class PictureWidget;
}

class PictureWidget : public QWidget
{
    Q_OBJECT

public:
    explicit PictureWidget(QWidget *parent = 0);
    ~PictureWidget();
    void setDiagPattern(bool val);

private slots:
    void updatePixmap(const QImage &image);
    void wheelEvent(QWheelEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent *event);
    void zoomIn();
    void zoomOut();


signals:

private:
    Ui::PictureWidget *ui;

    // QWidget interface
protected:
    void paintEvent(QPaintEvent *); // override

    void doZoom(double inc);


    QPixmap pixmap;
    QSize imageSize;

    // zoom section :
    double zoomLevel;
    int lastMouseX;
    int lastMouseY;
    int zoomMouseX;
    int zoomMouseY;
    bool justZoomed;
    double lastZoomLevel;

    bool drawDiagPattern;

};

#endif // PICTUREWIDGET_H
